CREATE TABLE config (
   name varchar(10) NOT NULL,
   value varchar(10) NOT NULL,
   PRIMARY KEY (name)
);


CREATE TABLE history (
   nr int(11) DEFAULT '0' NOT NULL auto_increment,
   datei varchar(100) NOT NULL,
   user varchar(15) NOT NULL,
   datum int(11) DEFAULT '0' NOT NULL,
   PRIMARY KEY (nr)
);


CREATE TABLE playlist (
   nr int(11) DEFAULT '0' NOT NULL auto_increment,
   datei varchar(100) NOT NULL,
   user varchar(15) DEFAULT 'marcus' NOT NULL,
   repeat enum('0','1') DEFAULT '0' NOT NULL,
   PRIMARY KEY (nr)
);


CREATE TABLE songs (
   datei varchar(255) NOT NULL,
   status enum('1','0') DEFAULT '1' NOT NULL,
   size int(11) DEFAULT '0' NOT NULL,
   song varchar(30) NOT NULL,
   artist varchar(30) NOT NULL,
   album varchar(30) NOT NULL,
   year varchar(4) NOT NULL,
   genre char(3),
   track tinyint(4) DEFAULT '0' NOT NULL,
   comment varchar(30) NOT NULL,
   mpeg enum('','1','2') NOT NULL,
   layer enum('','1','2','3') NOT NULL,
   frequency int(11) DEFAULT '0' NOT NULL,
   mode enum('','Stereo','Joint Stereo','Dual Channel','Mono') NOT NULL,
   emphasis enum('','none','50/15ms','not set','CCITT j.17') NOT NULL,
   bitrate smallint(6) DEFAULT '0' NOT NULL,
   framesize smallint(6) DEFAULT '0' NOT NULL,
   frames mediumint(9) DEFAULT '0' NOT NULL,
   length smallint(6) DEFAULT '0' NOT NULL,
   copyright enum('','yes','no') NOT NULL,
   private enum('','yes','no') NOT NULL,
   home enum('','yes','no') NOT NULL,
   date int(11) DEFAULT '0' NOT NULL,
   PRIMARY KEY (datei)
);

