<?php

///////////////////////////////////////////////////////////////////////////////
//                                                                           //
// KorelStar MusicServer                                                     //
// =====================                                                     //
// (c) Copyright 2000-2002 by Kristof Hamann                                 //
//                                                                           //
// Entwickelt von Kristof Hamann                                             //
// Homepage vom MusicServer: http://www.korelstar.de/musicserver/            //
//                                                                           //
// Dieses Programm darf frei genutzt werden. Jegliche Vernderung ist jedoch //
// nur fr eigene Zwecke erlaubt, solange diese Credits unverndert bleiben. //
// Das Verffentlichen des vernderten Programmes ist nicht gestattet,       //
// hingegen ist das Weitergeben dieses Tools, so wie es auf der Homepage vom //
// MusicServer verffentlicht wurde, gestattet.                              //
//                                                                           //
// Da dieses Programm kostenlos ist, kann kein Support gewhrleistet werden. //
// Fr durch dieses Programm entstandene Schden wird nicht gehaftet.        //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////

// alle fuer den MusicServer global benoetigten Variablen

// programm-infos
$VER = "0.4.3";
$DEV = "20021026";

// debug-modus fuer cron-tab (cron.php) und details von mp3_getinfo()
$DEBUG = 0;

// dateisystem-variablen
$MP3DIR = "/mp3/";
$VOLPROG = "/musicserver/cron/volume";
$MP3PROG = "/usr/local/bin/mpg123";
$EXECDIR = dirname($MP3PROG)."/";
$EXEC = basename($MP3PROG);
$INFOFILE = "info.txt"; // Datei die in Verzeichnis-Liste angezeigt wird


// Der MusicServer kann in zwei Modi laufen:
// a) Jeder User darf alles. Jeder kann Songs hinzufgen, lschen, stoppen, starten
//    (hierfr $HELD leer lassen)
// b) Nur ein bestimmter User ($HELD) darf o.g. machen, alle anderen knnen nur ihre
//    eigenen Songs lschen und stoppen.
//    Fr diesen Modus wird ein funktionierendes DNS vorrausgesetzt, da der User
//    aus dem Hostnamen gefunden wird.
// $HELD = "marcus";
$HELD = "";


// Wenn SAMBA installiert ist, kann der Pfad zum MP3-Verzeichnis hier angegeben werden
// dadurch kommt ein Link zur MP3 zum Vorschein, um diese lokal anzuhren.
// Es wird empfohlen den lokalen MP3-Player (z.B. WinAmp) so zu konfigurieren, dass neue
// Dateien an die Playliste hinzugefgt werden (Enqueue)
// Achtung: Backslashes mssen auskommentiert werden!
// $SAMBA = "M:\\";
$SAMBA = "M:\\";


// mysql-connect
mysql_connect("127.0.0.1","beatbox","musIcMan") or die("Zum Datenbank-Server konnte keine Verbindung aufgebaut werden.");
mysql_select_db("musicserver") or die("Die Datenbank konnte nicht ausgew&auml;hlt werden.");


// layout-variablen
$MENU  = "<table border=\"1\" cellspacing=\"0\" cellpadding=\"5\" bgcolor=\"#DDDDDD\"><tr><td>";
$MENU .= "<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr>";
$MENU .= "<td><a href=\"$PHP_SELF?action=credits\"><img src=\"musicserver.gif\" width=\"30\" height=\"30\" border=\"0\" alt=\"KorelStar MusicServer powered by Tux\" /></a></td>";
$MENU .= "<td><img src=\"blind.gif\" border=\"0\" width=\"5\" height=\"30\" alt=\"\" /></td>";
$MENU .= "<td><b>KorelStar MusicServer v".$VER."</b><br /><font size=\"1\">[ ";

$MENU .= "<a href=\"$PHP_SELF?action=list\" title=\"Was noch abgespielt werden wird\">playlist</a> | ";
$MENU .= "<a href=\"$PHP_SELF?action=dir\" title=\"In den Dateien st&ouml;bern\">dateien</a> | ";
$MENU .= "<a href=\"$PHP_SELF?action=search\" title=\"Songs in diesem Chaos suchen\">suche</a> | ";
$MENU .= "<a href=\"$PHP_SELF?action=history\" title=\"Was abgespielt wurde\">history</a> | ";
$MENU .= "<a href=\"$PHP_SELF?action=charts\" title=\"Charts der letzten 14 Tage\">charts</a> | ";
$MENU .= "<a href=\"$PHP_SELF?action=status\" title=\"Was ist im Moment los?\">status</a> | ";
$MENU .= "<a href=\"$PHP_SELF?action=stop\" title=\"Sofort aufh&ouml;ren!\">stop</a> | ";
$MENU .= "<a href=\"$PHP_SELF?action=start\" title=\"Weiter geht's\">start</a> | ";
$MENU .= "<a href=\"$PHP_SELF?action=next\" title=\"N&auml;chstes Lied\">next</a> | ";
$MENU .= "<a href=\"$PHP_SELF?action=credits\" title=\"&Uuml;ber den MusicServer\">credits</a> ]";
$MENU .= "</font></td>";
$MENU .= "</tr></table></td></tr></table>";
$FOOT = "</body></html>";
$HEAD = <<<EOF
<!DOCTYPE html
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de" dir="ltr">
<head>
	<title>MusicServer by KorelStar</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<link rel="stylesheet" type="text/css" href="musicserver.css" />
	<script src="musicserver.js" type="application/x-javascript" language="javascript"></script>
</head>
<body>
$MENU<br />
EOF;


// Genre fuer MP3INFO
$GENRE = array(0=>"Blues",1=>"ClassicRock",2=>"Country",3=>"Dance",4=>"Disco",5=>"Funk",6=>"Grunge",7=>"Hip-Hop",8=>"Jazz",9=>"Metal",10=>"NewAge",11=>"Oldies",12=>"Other",13=>"Pop",14=>"R&B",15=>"Rap",16=>"Reggae",17=>"Rock",18=>"Techno",19=>"Industrial",20=>"Alternative",21=>"Ska",22=>"DeathMetal",23=>"Pranks",24=>"Soundtrack",25=>"Euro-Techno",26=>"Ambient",27=>"Trip-Hop",28=>"Vocal",29=>"Jazz+Funk",30=>"Fusion",31=>"Trance",32=>"Classical",33=>"Instrumental",34=>"Acid",35=>"House",36=>"Game",37=>"SoundClip",38=>"Gospel",39=>"Noise",40=>"AlternativeRock",41=>"Bass",42=>"Soul",43=>"Punk",44=>"Space",45=>"Meditative",46=>"InstrumentalPop",47=>"InstrumentalRock",48=>"Ethnic",49=>"Gothic",50=>"Darkwave",51=>"Techno-Industrial",52=>"Electronic",53=>"Pop-Folk",54=>"Eurodance",55=>"Dream",56=>"SouthernRock",57=>"Comedy",58=>"Cult",59=>"Gangsta",60=>"Top40",61=>"ChristianRap",62=>"Pop/Funk",63=>"Jungle",64=>"NativeAmerican",65=>"Cabaret",66=>"Newwave",67=>"Psychadelic",68=>"Rave",69=>"Showtunes",70=>"Trailer",71=>"Lo-Fi",72=>"Tribal",73=>"AcidPunk",74=>"AcidJazz",75=>"Polka",80=>"Folk",81=>"Folk-Rock",82=>"NationalFolk",83=>"Swing",84=>"FastFusion",85=>"Bebob",86=>"Latin",87=>"Revival",88=>"Celtic",89=>"Bluegrass",90=>"Avantgarde",91=>"GothicRock",92=>"ProgressiveRock",93=>"PsychedelicRock",94=>"SymphonicRock",95=>"SlowRock",96=>"BigBand",97=>"Chorus",98=>"EasyListening",99=>"Acoustic",100=>"Humour",101=>"Speech",102=>"Chanson",103=>"Opera",104=>"ChamberMusic",105=>"Sonata",106=>"Symphony",107=>"BootyBass",108=>"Primus",109=>"PornGroove",110=>"Satire",111=>"SlowJam",112=>"Club",113=>"Tango",114=>"Samba",115=>"Folklore",116=>"Ballad",117=>"PowerBallad",118=>"RhythmicSoul",119=>"FreeStyle",120=>"Duet",121=>"PunkRock",123=>"Acapella",124=>"Euro-House",125=>"DanceHall");

// BITRATE fuer mp3_getinfo()
$BITRATE = array(
	0=>array( // MPEG 2
		// Layer: 01=III 10=II 11=I
		"01"=>array("0001"=>  8,"0010"=> 16,"0011"=> 24,"0100"=> 32,"0101"=> 64,"0110"=> 80,"0111"=> 56,"1000"=> 64,"1001"=>128,"1010"=>160,"1011"=>112,"1100"=>128,"1101"=>256,"1110"=>320),
		"10"=>array("0001"=> 32,"0010"=> 48,"0011"=> 56,"0100"=> 64,"0101"=> 80,"0110"=> 96,"0111"=>112,"1000"=>128,"1001"=>160,"1010"=>192,"1011"=>224,"1100"=>256,"1101"=>320,"1110"=>384),
		"11"=>array("0001"=> 32,"0010"=> 64,"0011"=> 96,"0100"=>128,"0101"=>160,"0110"=>192,"0111"=>224,"1000"=>256,"1001"=>288,"1010"=>320,"1011"=>352,"1100"=>384,"1101"=>416,"1110"=>448)
	),
	1=>array( // MPEG 1
		"01"=>array("0001"=> 32,"0010"=> 40,"0011"=> 48,"0100"=> 56,"0101"=> 64,"0110"=> 80,"0111"=> 96,"1000"=>112,"1001"=>128,"1010"=>160,"1011"=>192,"1100"=>224,"1101"=>256,"1110"=>320),
		"10"=>array("0001"=> 32,"0010"=> 48,"0011"=> 56,"0100"=> 64,"0101"=> 80,"0110"=> 96,"0111"=>112,"1000"=>128,"1001"=>160,"1010"=>192,"1011"=>224,"1100"=>256,"1101"=>320,"1110"=>384),
		"11"=>array("0001"=> 32,"0010"=> 64,"0011"=> 96,"0100"=>128,"0101"=>160,"0110"=>192,"0111"=>224,"1000"=>256,"1001"=>288,"1010"=>320,"1011"=>352,"1100"=>384,"1101"=>416,"1110"=>448)
	)
);

header("Expires: 0");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-store, no-cache, must-revalidate, pre-check=0, post-check=0, max-age=0"); // HTTP/1.1
header("Pragma: no-cache"); // HTTP/1.0
header("Content-Type: text/html; charset=iso-8859-1");
//header("Content-Type: text/xml");

?>